org.modeshape.jdbc

## Class JcrBlob

- java.lang.Object
- - org.modeshape.jdbc.JcrBlob

- All Implemented Interfaces:
    Blob

      public class JcrBlob
      extends Object
      implements Blob

  The JDBC `Blob` wrapper around a JCR binary `Value` object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcrBlob(Binary binary)` Creates a new `Blob` by wrapping a JCR binary

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `free()`
    `InputStream` | `getBinaryStream()`
    `InputStream` | `getBinaryStream(long pos, long length)`
    `byte[]` | `getBytes(long pos, int length)`
    `long` | `length()`
    `long` | `position(Blob pattern, long start)`
    `long` | `position(byte[] pattern, long start)`
    `OutputStream` | `setBinaryStream(long pos)`
    `int` | `setBytes(long pos, byte[] bytes)`
    `int` | `setBytes(long pos, byte[] bytes, int offset, int len)`
    `void` | `truncate(long len)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcrBlob

          public JcrBlob(Binary binary)

      Creates a new `Blob` by wrapping a JCR binary
      Parameters:
        `binary` - a `Binary` instance; may not be null

  - ### Method Detail

    - #### free

          public void free()
                    throws SQLException

      Specified by:
        `free` in interface `Blob`
      Throws:
        `SQLException`

    - #### getBinaryStream

          public InputStream getBinaryStream()
                                      throws SQLException

      Specified by:
        `getBinaryStream` in interface `Blob`
      Throws:
        `SQLException`

    - #### getBinaryStream

          public InputStream getBinaryStream(long pos,
                                    long length)
                                      throws SQLException

      Specified by:
        `getBinaryStream` in interface `Blob`
      Throws:
        `SQLException`

    - #### getBytes

          public byte[] getBytes(long pos,
                        int length)
                          throws SQLException

      Specified by:
        `getBytes` in interface `Blob`
      Throws:
        `SQLException`

    - #### length

          public long length()
                      throws SQLException

      Specified by:
        `length` in interface `Blob`
      Throws:
        `SQLException`

    - #### position

          public long position(byte[] pattern,
                      long start)
                        throws SQLException

      Specified by:
        `position` in interface `Blob`
      Throws:
        `SQLException`

    - #### position

          public long position(Blob pattern,
                      long start)
                        throws SQLException

      Specified by:
        `position` in interface `Blob`
      Throws:
        `SQLException`

    - #### setBinaryStream

          public OutputStream setBinaryStream(long pos)
                                       throws SQLException

      Specified by:
        `setBinaryStream` in interface `Blob`
      Throws:
        `SQLException`

    - #### setBytes

          public int setBytes(long pos,
                     byte[] bytes)
                       throws SQLException

      Specified by:
        `setBytes` in interface `Blob`
      Throws:
        `SQLException`

    - #### setBytes

          public int setBytes(long pos,
                     byte[] bytes,
                     int offset,
                     int len)
                       throws SQLException

      Specified by:
        `setBytes` in interface `Blob`
      Throws:
        `SQLException`

    - #### truncate

          public void truncate(long len)
                        throws SQLException

      Specified by:
        `truncate` in interface `Blob`
      Throws:
        `SQLException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.